"use strict";

class Camera
{
	constructor(display)
	{
		this.display = display;
		this.pos = new Coord();
		this.zoom = 1;
	}

	getPixelCoordinatesFromWorldCoordinates(world, pixel)
	{
		pixel.x = Math.round((world.x - this.pos.x) / this.zoom + this.display.size.x / 2);
		pixel.y = Math.round((world.y - this.pos.y) / this.zoom + this.display.size.y / 2);
	}

	getWorldCoordinatesFromPixelCoordinates(pixel, world)
	{
		world.x = (pixel.x - this.display.size.x / 2) * this.zoom + this.pos.x;
		world.y = (pixel.y - this.display.size.y / 2) * this.zoom + this.pos.y;
	}
}