﻿"use strict";

class Display
{
	constructor(context, size)
	{
		this.context = context;
		this.size = size;
	}

	centreText(text, y)
	{
		var textSize = this.context.measureText(text);
		this.context.fillText(text, (this.size.x - textSize.width) / 2, y);
	}

	colour(r, g, b, a)
	{
		return `rgba(${r}, ${g}, ${b}, ${a})`;
	}

	rgba(c)
	{
		return `rgba(${c[0]}, ${c[1]}, ${c[2]}, 1)`;
	}
}